package com.nto.data.repository

import com.nto.data.models.LoginResult
import com.nto.data.utils.Provider
import okhttp3.Credentials
import javax.inject.Inject

class DataRepositoryImpl @Inject constructor() : DataRepository {
    override suspend fun auth(login: String, password: String): LoginResult {
        val result = Provider.provideRetrofit().auth(
            Credentials.basic(login, password)
        ).execute()

        return LoginResult(result.isSuccessful, result.message())
    }

}