package com.nto.presentation.composable

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.nto.data.utils.Destinations
import com.nto.presentation.screens.loginScreen.LoginScreen
import com.nto.presentation.screens.profileScreen.ProfileScreen

@Composable
fun Navigation(navController: NavHostController, modifier: Modifier = Modifier) {
    NavHost(
        navController = navController,
        modifier = modifier,
        startDestination = Destinations.Login.toString()
    ) {
        composable(Destinations.Login.toString()) {
            LoginScreen(navController)
        }
        composable(Destinations.Profile.toString()){
            ProfileScreen(navController)
        }
        composable(Destinations.Scan.toString()){
            //TODO
        }
        composable(Destinations.Admin.toString()){
            //TODO
        }
        composable(Destinations.Options.toString()){
            //TODO
        }
    }
}